View Issue Details

IDProjectCategoryView StatusLast Update
0006387Talerlibeufin-nexuspublic2024-01-21 00:24
ReporterFlorian Dold Assigned ToAntoine A  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.4Fixed in Version0.9.4 
Summary0006387: more integration tests for key management needed
DescriptionRight now we mostly cover the "happy path" in key management, but we should also cover error cases.

For example, real banks don't set the subscriber to "ready" after INI and HIA. We thus need a test to make sure that Nexus handles this situation correctly: A sent INI/HIA where the subscriber keys aren't activated on the bank side yet.

Some of these might require support from the sandbox.
TagsNo tags attached.

Activities

Antoine A

2024-01-19 10:18

developer   ~0020919

We handle this with a multi step ebics-setup that fail the first time and then succeed when the subscriber keys are activated

Issue History

Date Modified Username Field Change
2020-06-16 12:05 Florian Dold New Issue
2020-06-16 12:05 Florian Dold Status new => assigned
2020-06-16 12:05 Florian Dold Assigned To => MS
2020-11-10 11:54 MS Target Version => 0.9.1
2023-01-08 10:36 Christian Grothoff Severity minor => tweak
2023-01-08 10:36 Christian Grothoff Target Version 0.9.1 => 0.9.4
2023-04-13 20:26 Florian Dold Project libeufin => Taler
2023-04-13 21:48 Florian Dold Category other => libeufin-nexus
2023-11-03 15:19 Christian Grothoff Assigned To MS => Florian Dold
2023-11-03 15:19 Christian Grothoff Product Version => git (master)
2023-11-03 15:19 Christian Grothoff Target Version 0.9.4 => post-1.0
2024-01-19 10:18 Antoine A Assigned To Florian Dold => Antoine A
2024-01-19 10:18 Antoine A Status assigned => resolved
2024-01-19 10:18 Antoine A Resolution open => fixed
2024-01-19 10:18 Antoine A Note Added: 0020919
2024-01-21 00:24 Christian Grothoff Fixed in Version => 0.9.4
2024-01-21 00:24 Christian Grothoff Target Version post-1.0 => 0.9.4